# PetscMapRegisterDestroy

Frees the list of PetscMap methods that were registered by PetscMapRegister().

### Synopsis

    #include "petscvec.h"
    PetscErrorCode PetscMapRegisterDestroy()

Not collective

### Keywords

map, register, destroy

### See Also

PetscMapRegister(), PetscMapRegisterAll()

Level:advanced
Location:src/vec/interface/mapreg.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages